Compare commits

...

13 Commits

Author SHA1 Message Date
oleg 0b2d9e40ee python 3.12, etc. 2024-09-03 19:52:16 -04:00
oleg 3eec3e6bf8 to python3.12 2024-09-03 18:28:38 -04:00
oleg 0eded0e6da homestore /works/cvtt ownership moved to cvtt 2024-09-02 16:56:43 -04:00
oleg 96247c1248 homestore /works/cvtt ownership moved to cvtt 2024-09-02 16:52:19 -04:00
oleg f61518ae20 homestore /works/cvtt ownership moved to cvtt 2024-09-02 16:42:04 -04:00
oleg 25fd9ab3c4 homestore /works/cvtt ownership moved to cvtt 2024-09-02 16:34:28 -04:00
oleg 66b5cd16dd homestore /works/cvtt ownership moved to cvtt 2024-09-02 16:28:43 -04:00
oleg 1db0d08547 added cvtt_ts_status_checks.sh 2024-08-30 18:26:18 -04:00
oleg b61c3a684a load eqt to research - fix 2024-08-28 10:49:07 -04:00
oleg 78382df12d load eqt to research - fix 2024-08-26 16:59:01 -04:00
oleg bbfb7112bb trading recorder -> docker 2024-08-24 19:19:18 -04:00
oleg 23603ad076 md_portal uses different config 2024-08-24 18:23:27 -04:00
oleg 81fe6372e9 added quant docker start script 2024-08-22 18:36:29 -04:00
24 changed files with 239 additions and 33 deletions
+15
View File
@@ -0,0 +1,15 @@
#!/bin/env bash
Registry=http://homestore.cvtt.vpn:5500
Catalog=${Registry}/v2/_catalog
jstr=$(curl -s -X GET ${Catalog})
# echo ${jstr}
echo "${jstr}" | jq -r '.repositories[]' | while read repo; do
TagListURL="${Registry}/v2/${repo}/tags/list"
# echo $repo
curl -s -X GET ${TagListURL}
done
+73
View File
@@ -0,0 +1,73 @@
#!/bin/bash
usage() {
echo -n "Usage: ${0}"
echo -n " [-C <config (dflt: apps/cvtt_eqt_alpaca)>]"
echo -n " [-c <config_server (dflt: cloud23.cvtt.vpn:6789)>]"
echo -n " [-e <active_exchanges (ALPACA_SNBOX)>]"
echo -n " [-a <admin_port (7220)>]"
echo -n " [-n <portal_name (MD_PORTAL_ALPACA)>]"
echo
exit 1
}
args=${*}
Config=apps/cvtt_eqt_alpaca
ConfigServer=cloud23.cvtt.vpn:6789
ActiveExchanges=ALPACA_SNDBX
PortalName=MD_PORTAL_ALPACA_SNDBX
AdminPort=7220
while getopts ":C:c:e:a:n:" opt; do
case ${opt} in
C )
Config=$OPTARG
;;
c )
ConfigServer=$OPTARG
;;
e )
ActiveExchanges=$OPTARG
;;
a )
AdminPort=$OPTARG
;;
n )
PortalName=$OPTARG
;;
\? )
echo "Invalid option: -$OPTARG" >&2
usage
;;
: )
echo "Option -$OPTARG requires an argument." >&2
usage
;;
esac
done
echo "Config=${Config}"
echo "ConfigServer=${ConfigServer}"
echo "ActiveExchanges=${ActiveExchanges}"
echo "PortalName=${PortalName}"
echo "AdminPort=${AdminPort}"
ImageName=md_portal
DockerRegistry=cloud21.cvtt.vpn:5500
DockerImage=${DockerRegistry}/${ImageName}
Cmd="docker run"
Cmd="${Cmd} --detach"
Cmd="${Cmd} --restart=unless-stopped"
Cmd="${Cmd} --pull=always"
Cmd="${Cmd} --network=host"
Cmd="${Cmd} --name=${ImageName}.${PortalName}"
Cmd="${Cmd} --volume /home/cvtt/prod/logs:/logs"
Cmd="${Cmd} ${DockerImage}"
Cmd="${Cmd} ${args}"
echo $Cmd
eval $Cmd
@@ -13,6 +13,8 @@ usage() {
exit 1 exit 1
} }
args=${*}
ConfigServer=cloud23.cvtt.vpn:6789 ConfigServer=cloud23.cvtt.vpn:6789
ActiveExchanges=ALPACA_SNDBX-MDPORTAL ActiveExchanges=ALPACA_SNDBX-MDPORTAL
AdminPort=7224 AdminPort=7224
@@ -1,14 +1,27 @@
#!/bin/bash #!/bin/bash
usage() {
echo -n "Usage: $0"
echo -n " -b <book>"
echo -n " [-C <config (dflt: apps/cvtt_eqt_alpaca)>]"
echo -n " [-c <config_server (dflt: cloud23.cvtt.vpn:6789)>]"
echo -n " [-e <active_exchanges (ALPACA_SNDBX-MDPORTAL)>]"
echo -n " [-a <admin_port (7223)>"]
echo
exit 1
}
args=${*} args=${*}
# ConfigServer=cloud16.cvtt.vpn
ConfigServer=cloud23.cvtt.vpn:6789 ConfigServer=cloud23.cvtt.vpn:6789
ActiveExchanges=ALPACA_SNDBX ActiveExchanges=ALPACA_SNDBX-MDPORTAL
PortalName=MD_PORTAL_ALPACA_SNDBX AdminPort=7225
AdminPort=7220 Book=""
Config=apps/cvtt_eqt_alpaca
while getopts ":C:b:c:e:a:" opt; do
while getopts ":c:e:a:n:" opt; do
case ${opt} in case ${opt} in
c ) c )
ConfigServer=$OPTARG ConfigServer=$OPTARG
@@ -19,8 +32,8 @@ while getopts ":c:e:a:n:" opt; do
a ) a )
AdminPort=$OPTARG AdminPort=$OPTARG
;; ;;
n ) b )
PortalName=$OPTARG Book=$OPTARG
;; ;;
\? ) \? )
echo "Invalid option: -$OPTARG" >&2 echo "Invalid option: -$OPTARG" >&2
@@ -33,13 +46,24 @@ while getopts ":c:e:a:n:" opt; do
esac esac
done done
if [ "${Book}" == "" ]; then
echo "Book is missing"
usage
fi
echo "Config=${Config}"
echo "ConfigServer=${ConfigServer}" echo "ConfigServer=${ConfigServer}"
echo "ActiveExchanges=${ActiveExchanges}" echo "ActiveExchanges=${ActiveExchanges}"
echo "PortalName=${PortalName}" echo "Book=${Book}"
echo "AdminPort=${AdminPort}" echo "AdminPort=${AdminPort}"
if [ "${Book}" == "" ]; then
echo "Book is missing"
usage
fi
ImageName=md_portal
ImageName=trading_recorder
DockerRegistry=cloud21.cvtt.vpn:5500 DockerRegistry=cloud21.cvtt.vpn:5500
DockerImage=${DockerRegistry}/${ImageName} DockerImage=${DockerRegistry}/${ImageName}
@@ -48,7 +72,7 @@ Cmd="${Cmd} --detach"
Cmd="${Cmd} --restart=unless-stopped" Cmd="${Cmd} --restart=unless-stopped"
Cmd="${Cmd} --pull=always" Cmd="${Cmd} --pull=always"
Cmd="${Cmd} --network=host" Cmd="${Cmd} --network=host"
Cmd="${Cmd} --name=${ImageName}.${PortalName}" Cmd="${Cmd} --name=${ImageName}.${Book}"
Cmd="${Cmd} --volume /home/cvtt/prod/logs:/logs" Cmd="${Cmd} --volume /home/cvtt/prod/logs:/logs"
Cmd="${Cmd} ${DockerImage}" Cmd="${Cmd} ${DockerImage}"
Cmd="${Cmd} ${args}" Cmd="${Cmd} ${args}"
+1 -1
View File
@@ -1 +1 @@
1.5.8,added quant docker start script 1.6.5,python 3.12, etc.
+1 -1
View File
@@ -69,7 +69,7 @@ if [ "${host}" == "cloud21" ] ; then
SourceRootDir="/opt/store/cvtt/md_archive/crypto/${source}" SourceRootDir="/opt/store/cvtt/md_archive/crypto/${source}"
elif [ "${host}" == "homestore" ]; then elif [ "${host}" == "homestore" ]; then
SourceHost=homestore.cvtt.vpn SourceHost=homestore.cvtt.vpn
SourceUser=oleg SourceUser=cvtt
SourceRootDir=/works/cvtt/md_archive/crypto/${source} SourceRootDir=/works/cvtt/md_archive/crypto/${source}
else else
usage usage
+9 -4
View File
@@ -9,6 +9,7 @@ usage() {
echo echo
exit 1 exit 1
} }
if [[ "$(uname)" == "Darwin" ]]; then if [[ "$(uname)" == "Darwin" ]]; then
# macOS # macOS
date='gdate' date='gdate'
@@ -22,6 +23,8 @@ host=homestore
stocks=COIN,GBTC,SQ stocks=COIN,GBTC,SQ
TargetDir="/opt/jupyter_gpu/data/eqty_md" TargetDir="/opt/jupyter_gpu/data/eqty_md"
# TargetDir="/tmp" # -------= D E B U G
mkdir -p ${TargetDir} mkdir -p ${TargetDir}
Table=md_1min_bars Table=md_1min_bars
@@ -88,7 +91,6 @@ TargetFile=$(${date} -d ${md_date} "+%Y%m%d.eqty.mktdata.ohlcv.db")
TargetFilePath="${TargetDir}/${TargetFile}" TargetFilePath="${TargetDir}/${TargetFile}"
mv ${TargetFilePath} "${TargetFilePath}.saved.$(${date} '+%Y%m%d_%H%M%S')" mv ${TargetFilePath} "${TargetFilePath}.saved.$(${date} '+%Y%m%d_%H%M%S')"
touch ${TargetFilePath}
# ---- temp dir # ---- temp dir
echo ${SourceFile} echo ${SourceFile}
@@ -108,7 +110,7 @@ if [ "${host}" == "cloud21" ] ; then
SourceRootDir="/opt/store/cvtt/md_archive/equity/alpaca_md" SourceRootDir="/opt/store/cvtt/md_archive/equity/alpaca_md"
elif [ "${host}" == "homestore" ]; then elif [ "${host}" == "homestore" ]; then
SourceHost=homestore.cvtt.vpn SourceHost=homestore.cvtt.vpn
SourceUser=oleg SourceUser=cvtt
SourceRootDir="/works/cvtt/md_archive/equity/alpaca_md" SourceRootDir="/works/cvtt/md_archive/equity/alpaca_md"
else else
usage usage
@@ -146,6 +148,7 @@ function download_file {
echo ${Cmd} && eval ${Cmd} echo ${Cmd} && eval ${Cmd}
DbFile=${tmp_dir}/${SourceFile} DbFile=${tmp_dir}/${SourceFile}
touch ${TargetFilePath}
# --- T E M P - for files older than 20240813 # --- T E M P - for files older than 20240813
@@ -173,8 +176,10 @@ for stock in "${Stocks[@]}"; do
download_file ${SourceFilePath} download_file ${SourceFilePath}
done done
chmod 600 ${TargetFilePath} if [ -f ${TargetFilePath} ]; then
ls -lh ${TargetFilePath} chmod 600
ls -lh ${TargetFilePath}
fi
# mkdir -p /tmp/aaa # mkdir -p /tmp/aaa
# cp -r ${tmp_dir}/* /tmp/aaa/ # cp -r ${tmp_dir}/* /tmp/aaa/
@@ -1,6 +1,6 @@
#!/bin/bash #!/bin/bash
Python=/home/cvtt/.pyenv/python3.10-venv/bin/python3.10 Python=/home/cvtt/.pyenv/python3.12-venv/bin/python3.12
RootDir=/home/cvtt/prod RootDir=/home/cvtt/prod
export PYTHONPATH=${RootDir} export PYTHONPATH=${RootDir}
+88
View File
@@ -0,0 +1,88 @@
#!/bin/bash
usage() {
echo -n "Usage: ${0}"
echo -n " [-c <config (dflt: apps/cvtt_eqt_alpaca)>]"
echo -n " [-s <config_serverice (dflt: http://cloud23.cvtt.vpn:6789)>]"
echo -n " [-N <name (dflt: ALPACA-SNDBX)>]"
echo
exit 1
}
Python="${HOME}/.pyenv/python3.12-venv/bin/python3.12"
RootDir="${HOME}/prod"
# **** D E B U G
RootDir=/home/oleg/develop/cvtt2
# **** D E B U G
export PYTHONPATH=${RootDir}
StatusChannel=Status-CVTT
AlertChannel=Alerts-CVTT
Sender=${RootDir}/ops/utils/send_mmost.sh
ConfigService=http://cloud23.cvtt.vpn:6789
Config=apps/cvtt_eqt_alpaca
Name="ALPACA-SNDBX"
echo $0 $* | /usr/bin/ts '[%Y-%m-%d %H:%M:%S]'
while getopts ":s:c:n:" opt; do
case ${opt} in
c )
Config=$OPTARG
;;
s )
ConfigService=$OPTARG
;;
n )
Name=$OPTARG
;;
\? )
echo "Invalid option: -$OPTARG" >&2
usage
;;
: )
echo "Option -$OPTARG requires an argument." >&2
usage
;;
esac
done
# ----- For DEBUGGING
# Sender=cat
# StatusChannel=
tmpfile=$(mktemp)
function cleanup {
# echo Cleaing up temporary files: ${TempFiles}
if [ "" != "${TempFiles}" ]; then
rm -f ${TempFiles}
fi
}
trap cleanup EXIT
Cmd="${Python}"
Cmd="${Cmd} ${RootDir}/cvttpy/apps/utils/services_checker.py"
Cmd="${Cmd} --config=${ConfigService}/${Config}"
Cmd="${Cmd} --log_level=ERROR"
Cmd="${Cmd} --log_stdout"
Cmd="${Cmd} | tee ${tmpfile} 2>&1"
echo ${Cmd}
eval ${Cmd}
cat ${tmpfile}
exit
# echo "## :card_file_box: STORAGE HEALTH CHECK" >> ${tmpfile}
# echo >> ${tmpfile}
# echo "| host | filesystem | usage |" >> ${tmpfile}
# echo "| --- | --- | --- |" >> ${tmpfile}
# cat ${tmpfile2} | sort -h -r | awk -F'%' '{printf "%s%%%s\n",$2,$3}' >> ${tmpfile}
# cat ${tmpfile} | ${Sender} ${StatusChannel}
+1 -1
View File
@@ -45,7 +45,7 @@ echo "Start=${Start} End=${End} NumJobs=${NumJobs}"
# export PyScript=/home/cvtt/prod/cvttpy/exchanges/alpaca/hist_mkt_data.py # export PyScript=/home/cvtt/prod/cvttpy/exchanges/alpaca/hist_mkt_data.py
export PYTHONPATH=/home/cvtt/prod export PYTHONPATH=/home/cvtt/prod
export Python=/home/cvtt/.pyenv/python3.10-venv/bin/python3 export Python=/home/cvtt/.pyenv/python3.12-venv/bin/python3
export Config=http://cloud16.cvtt.vpn:6789/apps/minimal_md export Config=http://cloud16.cvtt.vpn:6789/apps/minimal_md
export PyScript=/home/cvtt/prod/cvttpy/exchanges/alpaca/hist_md/hist_md_bars.py export PyScript=/home/cvtt/prod/cvttpy/exchanges/alpaca/hist_md/hist_md_bars.py
@@ -2,7 +2,7 @@
export PYTHONPATH=${HOME}/prod export PYTHONPATH=${HOME}/prod
Python=${HOME}/.pyenv/python3.10-venv/bin/python3 Python=${HOME}/.pyenv/python3.12-venv/bin/python3
Script=${HOME}/prod/cvttpy/exchanges/alpaca/hist_md/rl_calc_loader.py Script=${HOME}/prod/cvttpy/exchanges/alpaca/hist_md/rl_calc_loader.py
DbFile=${HOME}/prod/data/rel_liquidity.db DbFile=${HOME}/prod/data/rel_liquidity.db
Config=http://cloud23.cvtt.vpn:6789/apps/minimal_md_eqt Config=http://cloud23.cvtt.vpn:6789/apps/minimal_md_eqt
@@ -25,8 +25,8 @@ run_checklist() {
declare -A Commands declare -A Commands
Commands=( Commands=(
["homestore:cloud21"]="ssh oleg@homestore.cvtt.vpn ls -l /works/cvtt/md_archive/crypto/cloud21/${yr}/${mn} | tail -5" ["homestore:cloud21"]="ssh cvtt@homestore.cvtt.vpn ls -l /works/cvtt/md_archive/crypto/cloud21/${yr}/${mn} | tail -5"
["homestore:cvttdata"]="ssh oleg@homestore.cvtt.vpn ls -l /works/cvtt/md_archive/crypto/cvttdata/${yr}/${mn} | tail -5" ["homestore:cvttdata"]="ssh cvtt@homestore.cvtt.vpn ls -l /works/cvtt/md_archive/crypto/cvttdata/${yr}/${mn} | tail -5"
["cloud21:cloud21"]="ssh cvtt@cloud21.cvtt.vpn ls -l /opt/store/cvtt/md_archive/crypto/cloud21/${yr}/${mn} | tail -5" ["cloud21:cloud21"]="ssh cvtt@cloud21.cvtt.vpn ls -l /opt/store/cvtt/md_archive/crypto/cloud21/${yr}/${mn} | tail -5"
["cloud21:cvttdata"]="ssh cvtt@cloud21.cvtt.vpn ls -l /opt/store/cvtt/md_archive/crypto/cvttdata/${yr}/${mn} | tail -5" ["cloud21:cvttdata"]="ssh cvtt@cloud21.cvtt.vpn ls -l /opt/store/cvtt/md_archive/crypto/cvttdata/${yr}/${mn} | tail -5"
["gpushnik"]="ssh oleg@gpushnik.cvtt.vpn 'ls -l /opt/jupyter_gpu/data/crypto_md | tail -10'" ["gpushnik"]="ssh oleg@gpushnik.cvtt.vpn 'ls -l /opt/jupyter_gpu/data/crypto_md | tail -10'"
@@ -24,9 +24,9 @@ run_checklist() {
yr=$(date -d 'yesterday' '+%Y') yr=$(date -d 'yesterday' '+%Y')
declare -A Commands declare -A Commands
Commands["homestore"]="ssh oleg@homestore.cvtt.vpn ls -l /works/cvtt/md_archive/equity/alpaca_md/A/AAPL/${yr} | tail -3" Commands["homestore"]="ssh cvtt@homestore.cvtt.vpn ls -l /works/cvtt/md_archive/equity/alpaca_md/A/AAPL/${yr} | tail -3"
Commands["homestore"]+="; echo" Commands["homestore"]+="; echo"
Commands["homestore"]+="; ssh oleg@homestore.cvtt.vpn ls -l /works/cvtt/md_archive/equity/alpaca_md/N/NVDA/${yr} | tail -3" Commands["homestore"]+="; ssh cvtt@homestore.cvtt.vpn ls -l /works/cvtt/md_archive/equity/alpaca_md/N/NVDA/${yr} | tail -3"
Commands["cloud21"]="ssh cvtt@cloud21.cvtt.vpn ls -l /opt/store/cvtt/md_archive/equity/alpaca_md/A/AAPL/${yr} | tail -3" Commands["cloud21"]="ssh cvtt@cloud21.cvtt.vpn ls -l /opt/store/cvtt/md_archive/equity/alpaca_md/A/AAPL/${yr} | tail -3"
Commands["cloud21"]+="; echo" Commands["cloud21"]+="; echo"
@@ -52,20 +52,19 @@ function cleanup {
trap cleanup EXIT trap cleanup EXIT
echo "## :fire: EQUITY MD HEALTH CHECK" >> ${tmpfile} echo "## :fire: EQUITY MD HEALTH CHECK" >> ${tmpfile}
echo '```' >> ${tmpfile} echo '```' | tee -a ${tmpfile}
run_checklist >> ${tmpfile} run_checklist | tee -a ${tmpfile}
echo '```' >> ${tmpfile} echo '```' | tee -a ${tmpfile}
echo "Sending result to ${Sender} ${StatusChannel}"
cat ${tmpfile} | ${Sender} ${StatusChannel} cat ${tmpfile} | ${Sender} ${StatusChannel}
exit exit
# homestore # homestore
echo homestore echo homestore
ssh oleg@homestore.cvtt.vpn ls -l /works/cvtt/md_archive/equity/alpaca_md/A/AAPL/${yr} | tail -3 ssh cvtt@homestore.cvtt.vpn ls -l /works/cvtt/md_archive/equity/alpaca_md/A/AAPL/${yr} | tail -3
echo echo
ssh oleg@homestore.cvtt.vpn ls -l /works/cvtt/md_archive/equity/alpaca_md/N/NVDA/${yr} | tail -3 ssh cvtt@homestore.cvtt.vpn ls -l /works/cvtt/md_archive/equity/alpaca_md/N/NVDA/${yr} | tail -3
echo cloud21 echo cloud21
ssh cvtt@cloud21.cvtt.vpn ls -l /opt/store/cvtt/md_archive/equity/alpaca_md/A/AAPL/${yr} | tail -3 ssh cvtt@cloud21.cvtt.vpn ls -l /opt/store/cvtt/md_archive/equity/alpaca_md/A/AAPL/${yr} | tail -3
@@ -2,7 +2,7 @@
export PYTHONPATH=/home/cvtt/prod export PYTHONPATH=/home/cvtt/prod
Cmd="/home/cvtt/.pyenv/python3.10-venv/bin/python3" Cmd="/home/cvtt/.pyenv/python3.12-venv/bin/python3"
Cmd="${Cmd} /home/cvtt/prod/cvttpy/apps/research/exchange_trading_stats.py" Cmd="${Cmd} /home/cvtt/prod/cvttpy/apps/research/exchange_trading_stats.py"
Cmd="${Cmd} --config=http://cloud16.cvtt.vpn:6789/apps/tests/listen_market_data" Cmd="${Cmd} --config=http://cloud16.cvtt.vpn:6789/apps/tests/listen_market_data"
Cmd="${Cmd} --active_exchanges=OKX,GEMINI,BITSTAMP,COINBASE_AT,BNBSPOT,KRAKEN" Cmd="${Cmd} --active_exchanges=OKX,GEMINI,BITSTAMP,COINBASE_AT,BNBSPOT,KRAKEN"
+1 -1
View File
@@ -12,7 +12,7 @@ fi
rsync -ahv /home/cvtt/host_drive/eqt_hist_md/txt/${letter} /home/cvtt/tmp/txt/ rsync -ahv /home/cvtt/host_drive/eqt_hist_md/txt/${letter} /home/cvtt/tmp/txt/
# create db files # create db files
PYTHONPATH=/home/cvtt/prod /home/cvtt/.pyenv/python3.10-venv/bin/python3 /home/cvtt/prod/cvttpy/trading/mkt_data/ad_hoc/eqt_md_to_db.py /home/cvtt/tmp/txt/${letter} /home/cvtt/tmp/db PYTHONPATH=/home/cvtt/prod /home/cvtt/.pyenv/python3.12-venv/bin/python3 /home/cvtt/prod/cvttpy/trading/mkt_data/ad_hoc/eqt_md_to_db.py /home/cvtt/tmp/txt/${letter} /home/cvtt/tmp/db
if [ "$?" != "0" ] ; then if [ "$?" != "0" ] ; then
exit exit
+1 -1
View File
@@ -2,7 +2,7 @@
Source=/home/cvtt/prod/archive/md_archive/ Source=/home/cvtt/prod/archive/md_archive/
Targets= Targets=
Targets="${Targets} oleg@homestore.cvtt.vpn:/works/cvtt/md_archive/" Targets="${Targets} cvtt@homestore.cvtt.vpn:/works/cvtt/md_archive/"
Targets="${Targets} cvtt@cloud21.cvtt.vpn:/opt/store/cvtt/md_archive/" Targets="${Targets} cvtt@cloud21.cvtt.vpn:/opt/store/cvtt/md_archive/"